create system metadata for legacy objects in KNB
Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-0.4   

Story Points:    

Description

In becoming a MN, the KNB needs to provide system metadata for all existing objects.  This involves:

-- for each object gather necessary info from metacat and science metadata docs

-- calculate additional fields (like checksum, size)

-- serialize a system metadata object 

History

#1 - 2010-06-09 21:32 - Chad Berkley

- Status changed from New to In Progress

#2 - 2010-06-10 00:03 - Chad Berkley

Nearly done with this story.  Need to write a better test and enable this through ResourceHandler, then it will be done.  Probably 2 more hours.

#3 - 2010-06-10 16:53 - Chad Berkley

- Status changed from In Progress to Closed

This story is now complete.  CrudService.getSystemMetadata() will generate System Metadata for any object in metacat that does not have system

metadata already associated with it.  This function is available via the REST call to meta/?op=generatemissingsystemmetadata.  This call should only

need to be made once after legacy knb (or other) metacat data are importing into a MN.  See CrudServiceTest

.testGenerateMissingSystemMetadata() for examples of how to use the crud method.
https://redmine.dataone.org/projects/d1/wiki/ResourceHandler
